Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.type
Class BlobType

    java.lang.Object
      org.hibernate.type.AbstractType
          org.hibernate.type.BlobType

All Implemented Interfaces:
  Serializable, Type

    public class BlobType

extends AbstractType

`blob`: A type that maps an SQL BLOB to a java.sql.Blob.

Author:
  Gavin King
See Also:
  Serialized Form

Constructor Summary
`BlobType()`

Method Summary
`int` | `compare(Object x, Object y, EntityMode entityMode)` compare two instances of the type
`Object` | `deepCopy(Object value, EntityMode entityMode, SessionFactoryImplementor factory)` Return a deep copy of the persistent state, stopping at entities and at collections.
`Serializable` | `disassemble(Object value, SessionImplementor session, Object owner)` Return a cacheable "disassembled" representation of the object.
`Object` | `fromXMLNode(org.dom4j.Node xml, Mapping factory)` Parse the XML representation of an instance.
`Object` | `get(ResultSet rs, String name)`
`int` | `getColumnSpan(Mapping mapping)` How many columns are used to persist this type.
`int` | `getHashCode(Object x, EntityMode entityMode)` Get a hashcode, consistent with persistence "equality"
`String` | `getName()` Returns the abbreviated name of the type.
`Class` | `getReturnedClass()` The class returned by `nullSafeGet()` methods.
`boolean` | `isDirty(Object old, Object current, boolean[] checkable, SessionImplementor session)` Should the parent be considered dirty, given both the old and current field or element value?
`boolean` | `isEqual(Object x, Object y, EntityMode entityMode)` Compare two instances of the class mapped by this type for persistence "equality" - equality of persistent state.
`boolean` | `isMutable()` Are objects of this type mutable.
`Object` | `nullSafeGet(ResultSet rs, String[] names, SessionImplementor session, Object owner)` Retrieve an instance of the mapped class from a JDBC resultset.
`Object` | `nullSafeGet(ResultSet rs, String name, SessionImplementor session, Object owner)` Retrieve an instance of the mapped class from a JDBC resultset.
`void` | `nullSafeSet(PreparedStatement st, Object value, int index, boolean[] settable, SessionImplementor session)` Write an instance of the mapped class to a prepared statement, ignoring some columns.
`void` | `nullSafeSet(PreparedStatement st, Object value, int index, SessionImplementor session)` Write an instance of the mapped class to a prepared statement.
`Object` | `replace(Object original, Object target, SessionImplementor session, Object owner, Map copyCache)` During merge, replace the existing (target) value in the entity we are merging to with a new (original) value from the detached entity we are merging.
`void` | `set(PreparedStatement st, Object value, int index, SessionImplementor session)`
`void` | `setToXMLNode(org.dom4j.Node node, Object value, SessionFactoryImplementor factory)` A representation of the value to be embedded in an XML element.
`int[]` | `sqlTypes(Mapping mapping)` Return the SQL type codes for the columns mapped by this type.
`boolean[]` | `toColumnNullness(Object value, Mapping mapping)` Given an instance of the type, return an array of boolean, indicating which mapped columns would be null.
`String` | `toLoggableString(Object value, SessionFactoryImplementor factory)` A representation of the value to be embedded in a log file.

Methods inherited from class org.hibernate.type.AbstractType
`assemble, beforeAssemble, getHashCode, getSemiResolvedType, hydrate, isAnyType, isAssociationType, isCollectionType, isComponentType, isDirty, isEntityType, isEqual, isModified, isSame, isXMLElement, replace, replaceNode, resolve, semiResolve`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### BlobType

    public BlobType()

Method Detail

### set

    public void set(PreparedStatement st,
                    Object value,
                    int index,
                    SessionImplementor session)
             throws HibernateException,
                    SQLException

  Throws:
    `HibernateException`
    `SQLException`

### get

    public Object get(ResultSet rs,
                      String name)
               throws HibernateException,
                      SQLException

  Throws:
    `HibernateException`
    `SQLException`

### getReturnedClass

    public Class getReturnedClass()

  Description copied from interface: `Type`
  The class returned by `nullSafeGet()` methods. This is used to establish the class of an array of this type.

  Returns:
    Class

### isEqual

    public boolean isEqual(Object x,
                           Object y,
                           EntityMode entityMode)

  Description copied from interface: `Type`
  Compare two instances of the class mapped by this type for persistence "equality" - equality of persistent state.

  Specified by:
    `isEqual` in interface `Type`
  Overrides:
    `isEqual` in class `AbstractType`
  Returns:
    boolean

### getHashCode

    public int getHashCode(Object x,
                           EntityMode entityMode)

  Description copied from interface: `Type`
  Get a hashcode, consistent with persistence "equality"

  Specified by:
    `getHashCode` in interface `Type`
  Overrides:
    `getHashCode` in class `AbstractType`

### compare

    public int compare(Object x,
                       Object y,
                       EntityMode entityMode)

  Description copied from interface: `Type`
  compare two instances of the type

  Specified by:
    `compare` in interface `Type`
  Overrides:
    `compare` in class `AbstractType`

### getName

    public String getName()

  Description copied from interface: `Type`
  Returns the abbreviated name of the type.

  Returns:
    String the Hibernate type name

### disassemble

    public Serializable disassemble(Object value,
                                    SessionImplementor session,
                                    Object owner)
                             throws HibernateException

  Description copied from interface: `Type`
  Return a cacheable "disassembled" representation of the object.

  Specified by:
    `disassemble` in interface `Type`
  Overrides:
    `disassemble` in class `AbstractType`
  Parameters:
    `value` - the value to cache
    `session` - the session
    `owner` - optional parent entity object (needed for collections)
  Returns:
    the disassembled, deep cloned state
  Throws:
    `HibernateException`

### deepCopy

    public Object deepCopy(Object value,
                           EntityMode entityMode,
                           SessionFactoryImplementor factory)

  Description copied from interface: `Type`
  Return a deep copy of the persistent state, stopping at entities and at collections.

  Parameters:
    `value` - generally a collection element or entity field
  Returns:
    Object a copy

### fromXMLNode

    public Object fromXMLNode(org.dom4j.Node xml,
                              Mapping factory)

  Description copied from interface: `Type`
  Parse the XML representation of an instance.

  Returns:
    an instance of the type

### getColumnSpan

    public int getColumnSpan(Mapping mapping)

  Description copied from interface: `Type`
  How many columns are used to persist this type.

### isMutable

    public boolean isMutable()

  Description copied from interface: `Type`
  Are objects of this type mutable. (With respect to the referencing object ... entities and collections are considered immutable because they manage their own internal state.)

  Returns:
    boolean

### nullSafeGet

    public Object nullSafeGet(ResultSet rs,
                              String name,
                              SessionImplementor session,
                              Object owner)
                       throws HibernateException,
                              SQLException

  Description copied from interface: `Type`
  Retrieve an instance of the mapped class from a JDBC resultset. Implementations should handle possibility of null values. This method might be called if the type is known to be a single-column type.

    `name` - the column name
    `owner` - the parent entity
  Returns:
    Object
  Throws:
    `HibernateException`
    `SQLException`

### nullSafeGet

    public Object nullSafeGet(ResultSet rs,
                              String[] names,
                              SessionImplementor session,
                              Object owner)
                       throws HibernateException,
                              SQLException

  Description copied from interface: `Type`
  Retrieve an instance of the mapped class from a JDBC resultset. Implementors should handle possibility of null values.

    `names` - the column names
    `owner` - the parent entity
  Returns:
    Object
  Throws:
    `HibernateException`
    `SQLException`
  See Also:
    `alternative, 2-phase property initialization`

### nullSafeSet

    public void nullSafeSet(PreparedStatement st,
                            Object value,
                            int index,
                            boolean[] settable,
                            SessionImplementor session)
                     throws HibernateException,
                            SQLException

  Description copied from interface: `Type`
  Write an instance of the mapped class to a prepared statement, ignoring some columns. Implementors should handle possibility of null values. A multi-column type should be written to parameters starting from `index`.

    `value` - the object to write
    `index` - statement parameter index
    `settable` - an array indicating which columns to ignore
  Throws:
    `HibernateException`
    `SQLException`

### nullSafeSet

    public void nullSafeSet(PreparedStatement st,
                            Object value,
                            int index,
                            SessionImplementor session)
                     throws HibernateException,
                            SQLException

  Description copied from interface: `Type`
  Write an instance of the mapped class to a prepared statement. Implementors should handle possibility of null values. A multi-column type should be written to parameters starting from `index`.

    `value` - the object to write
    `index` - statement parameter index
  Throws:
    `HibernateException`
    `SQLException`

### replace

    public Object replace(Object original,
                          Object target,
                          SessionImplementor session,
                          Object owner,
                          Map copyCache)
                   throws HibernateException

  Description copied from interface: `Type`
  During merge, replace the existing (target) value in the entity we are merging to with a new (original) value from the detached entity we are merging. For immutable objects, or null values, it is safe to simply return the first parameter. For mutable objects, it is safe to return a copy of the first parameter. For objects with component values, it might make sense to recursively replace component values.

  Parameters:
    `original` - the value from the detached entity being merged
    `target` - the value in the managed entity
  Returns:
    the value to be merged
  Throws:
    `HibernateException`

### sqlTypes

    public int[] sqlTypes(Mapping mapping)
                   throws MappingException

  Description copied from interface: `Type`
  Return the SQL type codes for the columns mapped by this type. The codes are defined on `java.sql.Types`.

  Returns:
    the typecodes
  Throws:
    `MappingException`
  See Also:
    `Types`

### setToXMLNode

    public void setToXMLNode(org.dom4j.Node node,
                             Object value,
                             SessionFactoryImplementor factory)

  Description copied from interface: `Type`
  A representation of the value to be embedded in an XML element.

### toLoggableString

    public String toLoggableString(Object value,
                                   SessionFactoryImplementor factory)
                            throws HibernateException

  Description copied from interface: `Type`
  A representation of the value to be embedded in a log file.

  Returns:
    String
  Throws:
    `HibernateException`

### toColumnNullness

    public boolean[] toColumnNullness(Object value,
                                      Mapping mapping)

  Description copied from interface: `Type`
  Given an instance of the type, return an array of boolean, indicating which mapped columns would be null.

  Parameters:
    `value` - an instance of the type

### isDirty

    public boolean isDirty(Object old,
                           Object current,
                           boolean[] checkable,
                           SessionImplementor session)
                    throws HibernateException

  Description copied from interface: `Type`
  Should the parent be considered dirty, given both the old and current field or element value?

  Parameters:
    `old` - the old value
    `current` - the current value
    `checkable` - which columns are actually updatable
  Returns:
    true if the field is dirty
  Throws:
    `HibernateException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD